<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.jianshui.income.mapper.InvoiceCheckCarMapper">
    
    <resultMap type="com.jianshui.income.domain.entity.InvoiceCheckCar" id="InvoiceCheckCarResult">
        <result property="invoice_check_id"    column="invoice_check_id"    />
        <result property="sfzh"    column="sfzh"    />
        <result property="cllx"    column="cllx"    />
        <result property="cpxh"    column="cpxh"    />
        <result property="cd"    column="cd"    />
        <result property="hgzs"    column="hgzs"    />
        <result property="sjdh"    column="sjdh"    />
        <result property="fdjhm"    column="fdjhm"    />
        <result property="clsbh"    column="clsbh"    />
        <result property="jszmsh"    column="jszmsh"    />
        <result property="zgswjgdm"    column="zgswjgdm"    />
        <result property="wspzhm"    column="wspzhm"    />
        <result property="xcrs"    column="xcrs"    />
        <result property="zgswjgmc"    column="zgswjgmc"    />
        <result property="dw"    column="dw"    />
        <result property="sl"    column="sl"    />
        <result property="khyh"    column="khyh"    />
        <result property="khzh"    column="khzh"    />
        <result property="smfdh"    column="smfdh"    />
        <result property="sfygx"    column="sfygx"    />
        <result property="sfdbts"    column="sfdbts"    />
        <result property="xfdh"    column="xfdh"    />
    </resultMap>

    <sql id="selectInvoiceCheckCarVo">
        select  invoice_check_id,sfzh, cllx, cpxh, cd, hgzs, sjdh, fdjhm, clsbh, jszmsh, zgswjgdm, wspzhm, xcrs, zgswjgmc,dw,sl,khyh,khzh,smfdh,sfygx,sfdbts,xfdh from invoice_check_car
    </sql>


    <select id="selectInvoiceCheckCarById" parameterType="Long" resultMap="InvoiceCheckCarResult">
        <include refid="selectInvoiceCheckCarVo"/>
        where invoice_check_id = #{invoice_check_id}
    </select>
        

    
</mapper>